
; Note: You may edit this lisp file to rename the following functions
; to any name of your liking so long as it does not conflict with an
; AutoCAD internal command (unless you undefine it in S::STARTUP).

; Execute Pull_DWG from within AutoCAD (in shell mode)

(defun c:pull ()		  ; you can rename pull to anything you like
  (setvar "cmdecho" 0)            ; don't echo commands
  (command "pull_dwg" ". shell")  ; invoke pull_dwg in current subdir
  (graphscr)                      ; flip to graphics screen
  (command "script" "pull_dwg")   ; run the script
  (princ)
)

(defun pulshel (mode)			  ; call Pull_DWG in shell mode
  (setvar "cmdecho" 0)                    ; don't echo commands
  (command "pull_dwg" (strcat ". " mode)) ; invoke pull_dwg
  (graphscr)				  ; flip to graphics screen
  (command "script" "pull_dwg")           ; run the script
  (princ)
)

; Insert Mode
(defun c:ins ()  (pulshel "insert"))

; Lisp Mode
(defun c:lisp ()  (pulshel "lisp"))

; DXFIN Mode
(defun c:dxf ()  (pulshel "dxfin"))

; DXBIN Mode
(defun c:dxb ()  (pulshel "dxbin"))

; VSlide Mode
(defun c:vs ()  (pulshel "vslide"))

; Redefine the QUIT command to run quit.scr in order to
; bypass the AutoCAD opening menu.

(defun c:quit ()
  (setvar "cmdecho" 0)
  (if
    (= (strcase (getstring
	 "\nReally want to discard all changes to drawing (Y/N):")) "Y")
    (command "script" "quit")           
  ) ; end if
  (princ)
)

; Redefine the END command to run end.scr in order to
; bypass the AutoCAD opening menu.

(defun c:end ()
  (setvar "cmdecho" 0)
  (command "script" "end")              ; run end.scr which bypasses menu
  (princ)
)

(defun c:wend ()
  (setvar "cmdecho" 0)
  (command "script" "wend")              ; run wend.scr which saves drawing
  (princ)				 ; using wblock * and bypasses menu
)

; Undefine the AutoCAD drawing editor END and QUIT commands so that
; the end and quit functions defined above will work in place of the
; internal commands (.end and .quit will still work like normal)
; This function will execute automatically with release 10 only if
; you use earlier versions then rename s::startup to c:startup
; and execute it as the "Initial Command" from Pull_DWG
; specify "startup" as the initial command and saVe your configuration
; this command will remain as the default in Pull_DWG unless changed.

(defun s::startup ()
  (setvar "cmdecho" 0)
  (command "undefine" "quit")
  (command "undefine" "end")
  (princ "\nEND and QUIT commands redefined...")
)

(princ "\n\n\nPull_DWG loaded...")
(princ)

